WebStorm 2022.1 EAP 4 发布,更好的 Next.js 支持

WebStorm 2022.1 EAP 4 现已可用,该版本带来更好的 Next.js 支持、支持 Volta…

WebStorm 2022.1 EAP 4 现已可用,该版本带来更好的 Next.js 支持、支持 Volta、对 Yarn 和 pnpm 的 Corepack 支持,以及新增一个“运行当前文件”功能。

更好的 Next.js 支持

此版本改进了对 Next.js 框架的支持。WebStorm 将正确解析组件 href 属性中使用的路径 Link。代码补全、导航和重构(如 重命名 )也正常运行。

支持 Volta

WebStorm 2022.1 EAP 4 还与JavaScript 工具管理器Volta进行适当的集成,它会自动识别使用 Volta 安装的 Yarn 和 npm。

对 Yarn 和 pnpm 的 Corepack 支持

新增对 Corepack 的支持。Corepack 是一个实验性的 Node.js 工具,无需安装即可使用 Yarn 和 pnpm。该功能默认情况下未打开,更多信息请参见官方文档。

运行当前文件的新方法

  • 工具栏上现在有一个新的当前文件 选项:可以使用右侧的相应按钮运行和调试当前打开的文件。
  • IDE 将自动使用最适合此文件的运行配置类型,与从上下文菜单运行文件时的方式相同。
  • 要运行当前文件,请确保编辑器已聚焦,否则图标将被禁用。
  • 仅当项目中没有现成的运行配置时,才会显示新选项。
  • 即使确实存在一些运行配置,仍然可以从工具栏上的组合框中选择此 当前文件 选项。

关于作者: qwephp

.

为您推荐